# Download a support package

get ` https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages/:package_name`

Returns a JSON object containing the blob storage URL for the specified support package. The URL includes a time-limited SAS token for secure download.

RBAC Capability Required: `fleet.device.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

- **project_name**  string Required
- **name**  string Required
- **package_name**  string Required

## Response

**200** Download URL returned successfully.

No response body.

## Errors

### 400 Bad Request
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties
- **code** string Required - The error code.
- **detail** string Required - The error message.
- **extraDetail** map from strings to any Optional - Extra information regarding this error.

Show value schema Hide value schema
- [any key] any
- **ref** string Required - A reference to the request that caused the error.
- **status** integer Required - The HTTP status code

### 401 Unauthorized
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

### 403 Forbidden
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

### 404 Not Found
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

### 429 Too Many Requests
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error

### 500 Internal Server Error
error object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required

Pertinent information about the error
